summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAmar Tumballi <amarts@redhat.com>2019-05-14 19:53:58 +0530
committerAmar Tumballi <amarts@redhat.com>2019-05-20 06:25:30 +0000
commit0c95577c90ce7a98a230a6b1d3c8f0c01924054c (patch)
treed8e9d8dee80ce28a08c74b61680b612400f13a55
parent98a3f1ed9889f8ab1e1521b9d98759b864028962 (diff)
lcov: don't build rdma bits for lcov
we don't have any coverage for the same. It will skew the results by .5% otherwise. Change-Id: I55a01b5c45a681fb925e605b4803bf965d210cda Signed-off-by: Amar Tumballi <amarts@redhat.com>
-rw-r--r--build-gluster-org/scripts/lcov.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build-gluster-org/scripts/lcov.sh b/build-gluster-org/scripts/lcov.sh
index 575559a..b786709 100644
--- a/build-gluster-org/scripts/lcov.sh
+++ b/build-gluster-org/scripts/lcov.sh
@@ -27,7 +27,7 @@ chmod 755 $JDIRS
set -e
./autogen.sh || exit 1
P=/build
-./configure {,GF_FUSE_,GF_GLUSTERFS_,GF_}CFLAGS="-g3 -O0 -lgcov --coverage -fprofile-arcs -ftest-coverage" --prefix=$P/install --with-mountutildir=$P/install/sbin --with-initdir=$P/install/etc --localstatedir=/var --enable-debug --enable-gnfs --silent || exit 1
+./configure {,GF_FUSE_,GF_GLUSTERFS_,GF_}CFLAGS="-g3 -O0 -lgcov --coverage -fprofile-arcs -ftest-coverage" --prefix=$P/install --with-mountutildir=$P/install/sbin --with-initdir=$P/install/etc --localstatedir=/var --enable-debug --disable-ibverbs --enable-gnfs --silent || exit 1
make install
echo "Initializing the line coverage"